Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041146
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-06-21 10:092019-06-28 12:02
ReporterxabiermerinoView Statuspublic 
Assigned Toumartirena 
PriorityurgentResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision3aabd5350349
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041146: A Variable OTF Coupon is calculated without take into account the promotion of the ticket

DescriptionIf we have a ticket of 90 (10€ of discount) the variable OTF Coupon is generated based on 100€ instead of 90€
Steps To Reproduce1.- Configure a Variable OTF Coupon
2.- Create a ticket that will generate this OTF Coupon
3.- This ticket has to have a promotion
4.- Realize that the amount of the OTF Coupon is calculated without take into account the promotion
Proposed SolutionPatch attached
TagsNo tags attached.
Attached Filesdiff file icon fixOTFGrossLine_v1.diff [^] (1,873 bytes) 2019-06-21 10:09 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0113008)
hgbot (developer)
2019-06-25 14:04

Repository: erp/pmods/org.openbravo.retail.discounts.coupons.otf
Changeset: 3aabd535034958f5525884c42ba601ec3d55ca48
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Tue Jun 25 14:04:41 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons.otf/rev/3aabd535034958f5525884c42ba601ec3d55ca48 [^]

Fixed issue 41146: Calculate Variable Coupon Amount based on Ticket Gross after discounts

---
M web/org.openbravo.retail.discounts.coupons.otf/js/utils.js
---

- Issue History
Date Modified Username Field Change
2019-06-21 10:09 xabiermerino New Issue
2019-06-21 10:09 xabiermerino Assigned To => Retail
2019-06-21 10:09 xabiermerino File Added: fixOTFGrossLine_v1.diff
2019-06-21 10:09 xabiermerino Triggers an Emergency Pack => No
2019-06-25 14:04 hgbot Checkin
2019-06-25 14:04 hgbot Note Added: 0113008
2019-06-25 14:04 hgbot Status new => resolved
2019-06-25 14:04 hgbot Resolution open => fixed
2019-06-25 14:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons.otf/rev/3aabd535034958f5525884c42ba601ec3d55ca48 [^]
2019-06-25 19:38 marvintm Assigned To Retail => umartirena
2019-06-28 12:02 marvintm Review Assigned To => marvintm
2019-06-28 12:02 marvintm Status resolved => closed
2019-06-28 12:02 marvintm Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker